;; If you are ignoring private messages from somebody and they ask a question
;; in a channel, ban them if you have chan op stat.
;; channel names either begin with # or &. Therefore, we use the pattern
;; [&#]* to match for a channel name.
 
(gs-preempt "RAW_IRC" "* * PRIVMSG [&#]* *\\?" (lambda(m w)
  (call-with-current-continuation (lambda(return)
    (define from (gs-next-string m 2))
  
    (if(not(gs-ignored? from 'msg)) (return #f))
    (define channel (gs-next-string m 4))
    (define sender (separate-fields-discarding-char #\! from vector))
    (if(not(channel:op? (gs-channel channel))) (return #f)) ;; we are not chan op
    (gs-exec (string-append "mode " channel " +b *!*"
	     (vector-ref sender 1)) w)
    (return #t)))))


 
