;; Command /WHEN
(gs-new-command "when" "when i connected to this server..." (lambda(m w)
  (define server (gs-window-server w))
  (if(or (null? server) (not(server:connected? server)))
    (let()
      (gs-exec "bell 20")
      (gs-echo "WHEN: no server connection" w 1))
    (let()     
      (define tm (gmtime (server:start-time server)))
      (gs-echo (s-display "You connected to " (server:name server) " on "
        (tm:mday tm) "/" (+ 1 (tm:mon tm)) "/" (+ 1900 (tm:year tm)) " at "
        (tm:hour tm) ":" (tm:min tm)) w 1)
      (gs-echo (s-display "@iThat was " (- (current-time) (server:start-time
        server)) " seconds ago.") w 1)  
     ))))
    
