
#ifndef _sula_bookmark_h
#define _sula_bookmark_h
typedef struct TBookmark {
  int             id;		/* oh, well! */
  char           *channel;
  char           *title;
  char           *server;
  u_short         port;
  short int       bf;
  struct TBookmark *left;
  struct TBookmark *right;
} Bookmark;
typedef Bookmark *pBookmark;
Bookmark       *bmTree;		/* those currently bein used */
int             bm_id;		/* no of bookmarks added so far */


extern int insert_bookmark(pBookmark *, Bookmark *, int *);
extern int del_bookmark(pBookmark *, Bookmark *);
extern int save_bookmarks(const char *, Bookmark *);
extern int load_bookmarks(const char *, Bookmark **);

#endif
