
#ifndef _sula_util_h_
#define _sula_util_h_
#define COMMENT	'#'
#define strshift(s,n) memmove((char *)(s),(s)+(n),strlen((s))-(n)+1)
extern char    *expand_tilde (const char *pathname);
extern void      rmstr (const char *s,unsigned int n);
extern char    *nextstr (const char *s, unsigned int n);
extern char    *strdchr (const char *t, int c);
extern char    *strcp (const char *s, size_t n);
extern char    *strdup2 (const char *);
extern void     uncomment (char *s, int comment);
extern char    *clean (const char *s);
extern char    *capitalize (const char *str);
extern char    *lowercase (const char *str);
extern char    *uppercase (const char *str);
extern void lowercase2 (const char *str);
extern void uppercase2 (const char *str);
extern char    *strsstr (const char *, const char *);
extern char    *strxstr (const char *, const char *);
extern char    *stristr (const char *, const char *);
extern int     delay (unsigned long microseconds);
//extern void     str2args (char *buf, int *argc, char **argv[]);
extern void     new_str2args (char *buf, int *argc, char **argv,size_t count);
extern void unescape(const char *);
extern void unspace(const char *s);
extern int find_pos(const char *, unsigned int);
#define string_pos(s,n) find_pos((s),(n))
extern  void error(int flag, const char *fmt,...);

#endif

